
package org.teleal.cling.support.renderingcontrol.event;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.teleal.cling.support.renderingcontrol.event package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.teleal.cling.support.renderingcontrol.event
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link BlueVideoGain }
     * 
     */
    public BlueVideoGain createBlueVideoGain() {
        return new BlueVideoGain();
    }

    /**
     * Create an instance of {@link Sharpness }
     * 
     */
    public Sharpness createSharpness() {
        return new Sharpness();
    }

    /**
     * Create an instance of {@link GreenVideoBlackLevel }
     * 
     */
    public GreenVideoBlackLevel createGreenVideoBlackLevel() {
        return new GreenVideoBlackLevel();
    }

    /**
     * Create an instance of {@link Volume }
     * 
     */
    public Volume createVolume() {
        return new Volume();
    }

    /**
     * Create an instance of {@link ColorTemperature }
     * 
     */
    public ColorTemperature createColorTemperature() {
        return new ColorTemperature();
    }

    /**
     * Create an instance of {@link Loudness }
     * 
     */
    public Loudness createLoudness() {
        return new Loudness();
    }

    /**
     * Create an instance of {@link VerticalKeystone }
     * 
     */
    public VerticalKeystone createVerticalKeystone() {
        return new VerticalKeystone();
    }

    /**
     * Create an instance of {@link Mute }
     * 
     */
    public Mute createMute() {
        return new Mute();
    }

    /**
     * Create an instance of {@link HorizontalKeystone }
     * 
     */
    public HorizontalKeystone createHorizontalKeystone() {
        return new HorizontalKeystone();
    }

    /**
     * Create an instance of {@link RedVideoGain }
     * 
     */
    public RedVideoGain createRedVideoGain() {
        return new RedVideoGain();
    }

    /**
     * Create an instance of {@link VolumeDB }
     * 
     */
    public VolumeDB createVolumeDB() {
        return new VolumeDB();
    }

    /**
     * Create an instance of {@link Instance }
     * 
     */
    public Instance createInstance() {
        return new Instance();
    }

    /**
     * Create an instance of {@link Brightness }
     * 
     */
    public Brightness createBrightness() {
        return new Brightness();
    }

    /**
     * Create an instance of {@link Event }
     * 
     */
    public Event createEvent() {
        return new Event();
    }

    /**
     * Create an instance of {@link BlueVideoBlackLevel }
     * 
     */
    public BlueVideoBlackLevel createBlueVideoBlackLevel() {
        return new BlueVideoBlackLevel();
    }

    /**
     * Create an instance of {@link RedVideoBlackLevel }
     * 
     */
    public RedVideoBlackLevel createRedVideoBlackLevel() {
        return new RedVideoBlackLevel();
    }

    /**
     * Create an instance of {@link GreenVideoGain }
     * 
     */
    public GreenVideoGain createGreenVideoGain() {
        return new GreenVideoGain();
    }

    /**
     * Create an instance of {@link PresetNameList }
     * 
     */
    public PresetNameList createPresetNameList() {
        return new PresetNameList();
    }

    /**
     * Create an instance of {@link Contrast }
     * 
     */
    public Contrast createContrast() {
        return new Contrast();
    }

}
